MEMCACHED(1)

NAME
memcached - high-performance memory object caching system

SYNOPSIS
memcached [options]

DESCRIPTION
This manual page documents briefly the memcached memory object caching daemon.

memcached is a flexible memory object caching daemon designed to alleviate database load in dynamic web applications by storing objects in memory. It's based on libevent to scale to any size needed, and is specifically optimized to avoid swapping and always use non-blocking I/O.

OPTIONS
These programs follow the usual GNU command line syntax. A summary of options is included below.

-l <ip_addr>
    Listen on <ip_addr>; default to INDRR_ANY. This is an important option to consider as there is no other way to secure the installation. Binding to an internal or firewalled network interface is suggested.

-d  Run memcached as a daemon.

-u <username>
    Assume the identity of <username> (only when run as root).

-m <num>
    Use <num> MB memory max to use for object storage; the default is 64 megabytes.

-c <num>
    Use <num> max simultaneous connections; the default is 1024.

-k  Lock down all paged memory. This is a somewhat dangerous option with large caches, so consult the README and memcached homepage for configuration suggestions.

-p <num>
    Listen on port <num>, the default is port 11211.

-M  Disable automatic removal of items from the cache when out of memory. Additions will not be possible until adequate space is freed up.

-r  Raise the core file size limit to the maximum allowable.

-h  Show the version of memcached and a summary of options.

-v  Be verbose during the event loop; print out errors and warnings.

-vv Be even more verbose; same as -v but also print client commands and responses.

-i  Print memcached and libevent licenses.

-P <filename>
    Print pidfile to <filename>, only used under -d option.

LICENSE
The memcached daemon is copyright Danga Interactive and is distributed under the BSD license. Note that daemon clients are licensed separately.

SEE ALSO
The README file that comes with memcached
http://www.danga.com/memcached

AUTHOR
The memcached daemon was written by Anatoly Vorobey <mellon@pobox.com> and Brad Fitzpatrick <brad@danga.com> and the rest of the crew of Danga Interactive http://www.danga.com